/* 
 * File:   interrupts.h
 * Author: thebears
 *
 * Created on December 18, 2024, 12:48 PM
 */

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/wdt.h>

#include "states.h"
#ifndef INTERRUPTS_H
#define	INTERRUPTS_H

#ifdef	__cplusplus
extern "C" {
#endif



    void init_pins(void);
    void set_up_reed_interrupt(void);
    void set_up_minute_interrupt(void);
    void reed_interrupt_enable(void);
    void minute_interrupt_enable(void);
    void wdt_isr_disable(void);
    void wdt_isr_enable(void);

#ifdef	__cplusplus
}
#endif

#endif	/* INTERRUPTS_H */

